mgm/qdb: do not pin the jemalloc version

Allow the system to choose the version as usually libjemalloc.so will symlink to
the installed version, this way we are not dependant on os specific changes

Signed-off-by: Abhishek Lekshmanan <abhishek.lekshmanan@cern.ch>
1 job for jemalloc-fix in 48 seconds